<form *ngIf="restaurant" name="deleteForm" (ngSubmit)="confirmDelete(restaurant.id!)">
  <div class="modal-header">
    <h4 class="modal-title" data-cy="restaurantDeleteDialogHeading" jhiTranslate="entity.delete.title">Confirm delete operation</h4>

    <button type="button" class="btn-close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
  </div>

  <div class="modal-body">
    <jhi-alert-error></jhi-alert-error>

    <p
      id="jhi-delete-restaurant-heading"
      jhiTranslate="jokegeneratorApp.restaurant.delete.question"
      [translateValues]="{ id: restaurant.id }"
    >
      Are you sure you want to delete this Restaurant?
    </p>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="cancel()">
      <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
    </button>

    <button id="jhi-confirm-delete-restaurant" data-cy="entityConfirmDeleteButton" type="submit" class="btn btn-danger">
      <fa-icon icon="times"></fa-icon>&nbsp;<span jhiTranslate="entity.action.delete">Delete</span>
    </button>
  </div>
</form>
